__gnu_cxx::select1st< _Pair > Struct Template Reference
Extensions » SGI

`#include <functional>`

Inherits std::_Select1st< _Pair >.

## Public Types

typedef _Pair | argument_type
typedef _Pair::first_type | result_type

## Public Member Functions

_Pair::first_type & | operator() (_Pair &__x) const
template<typename _Pair2 >
_Pair2::first_type & | operator() (_Pair2 &__x) const
const _Pair::first_type & | operator() (const _Pair &__x) const
template<typename _Pair2 >
const _Pair2::first_type & | operator() (const _Pair2 &__x) const

## Detailed Description

template<class _Pair>
struct __gnu_cxx::select1st< _Pair >

An SGI extension .

Definition at line 197 of file ext/functional.

## Member Typedef Documentation

## argument_type

typedef _Pair std::unary_function< _Pair , _Pair::first_type >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 120 of file stl_function.h.

## result_type

typedef _Pair::first_type std::unary_function< _Pair , _Pair::first_type >::result_type

inherited

`result_type` is the return type

Definition at line 123 of file stl_function.h.

## Member Function Documentation

## operator()() [1/4]

template<typename _Pair >

_Pair::first_type & std::_Select1st< _Pair >::operator() | ( | _Pair & | __x | ) | const

inline inherited

Definition at line 1175 of file stl_function.h.

## operator()() [2/4]

template<typename _Pair >
template<typename _Pair2 >

_Pair2::first_type & std::_Select1st< _Pair >::operator() | ( | _Pair2 & | __x | ) | const

inline inherited

Definition at line 1185 of file stl_function.h.

## operator()() [3/4]

template<typename _Pair >

const _Pair::first_type & std::_Select1st< _Pair >::operator() | ( | const _Pair & | __x | ) | const

inline inherited

Definition at line 1179 of file stl_function.h.

## operator()() [4/4]

template<typename _Pair >
template<typename _Pair2 >

const _Pair2::first_type & std::_Select1st< _Pair >::operator() | ( | const _Pair2 & | __x | ) | const

inline inherited

Definition at line 1190 of file stl_function.h.

The documentation for this struct was generated from the following file:

- ext/functional